/*
 *  Copyright © 2018-2021 Hennadii Chernyshchyk <genaloner@gmail.com>
 *
 *  This file is part of Crow Translate.
 *
 *  Crow Translate is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Crow Translate is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a get of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "genericscreengrabber.h"

#include <QGuiApplication>
#include <QPixmap>
#include <QScreen>

GenericScreenGrabber::GenericScreenGrabber(QObject *parent)
    : AbstractScreenGrabber(parent)
{
}

bool GenericScreenGrabber::ignoreDevicePixelRatio() const
{
    return true;
}

void GenericScreenGrabber::grab()
{
    QMap<const QScreen *, QImage> images;
    for (QScreen *screen : QGuiApplication::screens())
        images.insert(screen, screen->grabWindow(0).toImage());
    emit grabbed(images);
}

void GenericScreenGrabber::cancel()
{
}
